%define anolis_release 2
Name:    adcli
Version: 0.9.1
Release: %{anolis_release}%{?dist}
Summary: Active Directory enrollment
License: LGPLv2+
URL:     https://gitlab.freedesktop.org/realmd/adcli
Source0: https://gitlab.freedesktop.org/sbose/adcli//uploads/30880d967e79cee789194435e70fbf30/adcli-%{version}.tar.gz

Patch1: 0001-build-add-with-vendor-error-message-configure-option.patch
Patch2: 0001-configure-update-some-macros-for-autoconf-2.71.patch
Patch3: 0001-coverity-add-missing-NULL-checks.patch

# add options to compat with old release
Patch4: 0002-Add-dont-expire-password-option.patch
Patch5: 0001-Fix-for-dont-expire-password-option-and-join.patch
Patch6: 0001-library-move-UAC-flags-to-a-more-common-header-file.patch
Patch7: 0002-adcli_entry-add-entry_attrs-with-userAccountControl-.patch
Patch8: 0003-entry-add-passwd-user-sub-command.patch
Patch9: 0004-Add-setattr-option.patch
Patch10: 0005-Add-delattr-option.patch
Patch11: 0001-configure-check-for-ns_get16-and-ns_get32-as-well.patch


BuildRequires: gcc
BuildRequires: intltool pkgconfig
BuildRequires: libtool
BuildRequires: gettext-devel
BuildRequires: krb5-devel
BuildRequires: openldap-devel
BuildRequires: libxslt
BuildRequires: xmlto
BuildRequires: make

Requires: cyrus-sasl-gssapi
Conflicts: adcli-doc < %{version}-%{release}

# adcli no longer has a library of development files
# the adcli tool itself is to be used by callers
Obsoletes: adcli-devel < 0.5

%description
adcli is a tool for joining an Active Directory domain using
standard LDAP and Kerberos calls.

%define _hardened_build 1

%prep
%autosetup -p1

%build
autoreconf --force --install --verbose
%configure --disable-static --disable-silent-rules \
    --with-vendor-error-message='Please check\n    https://bugzilla.openanolis.cn \nto get help for common issues.' \
    %{nil}
make %{?_smp_mflags}

%check
make check

%install
make install DESTDIR=%{buildroot}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%generate_compatibility_deps

%ldconfig_scriptlets

%files
%dir %{abidir}
%{_sbindir}/adcli
%{abidir}/adcli-option.list
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %{_mandir}/*/*

%package doc
Summary: adcli documentation
BuildArch: noarch
Conflicts: adcli < %{version}-%{release}

%description doc
adcli is a tool for joining an Active Directory domain using
standard LDAP and Kerberos calls. This package contains its
documentation.

%files doc
%doc %{_datadir}/doc/adcli/*

%changelog
* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.9.1-2
- optimise spec file

* Mon May 16 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.9.1-1
- init from upstream
